import 'package:xanno/src/anno/utils/base.dart';

class GJenkinsfile extends GBase {

  /// fir token
  final String token;

  /// 企业微信webHook，目前只支持企业微信
  final String webHook;

  /// 代码仓库git地址
  final String gitUrl;

  /// branch
  final String branch;

  /// git merge target
  final String mergeTarget;

  /// android fir-{name}.png fir默认是项目中文名
  final String androidQrcodeName;

  /// iOS fir-{name}.png fir默认是项目英文名
  final String iOSQrcodeName;

  /// android msg
  final String androidMsg;

  /// iOS msg
  final String iOSMsg;

  /// 是否初始化Jenkinsfile
  final bool enable;

  const GJenkinsfile({
    required this.token,
    required this.webHook,
    required this.gitUrl,
    required this.androidQrcodeName,
    required this.iOSQrcodeName,
    this.branch = "master",
    this.mergeTarget = "dev",
    this.androidMsg = "↑↑↑android包下载二维码,请同步给其他测试同事",
    this.iOSMsg = "↑↑↑iOS包下载二维码,请同步给其他测试同事",
    this.enable = true,
  }) : super();
}
